com.fasterxml.jackson.dataformat.avro.deser

## Class AvroScalarReader

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.AvroScalarReader

- Direct Known Subclasses:
    AvroScalarReader.BooleanReader, AvroScalarReader.BytesReader, AvroScalarReader.DoubleReader, AvroScalarReader.EnumDecoder, AvroScalarReader.FixedDecoder, AvroScalarReader.FloatReader, AvroScalarReader.IntReader, AvroScalarReader.LongReader, AvroScalarReader.NullReader, AvroScalarReader.ScalarUnionReader, AvroScalarReader.StringReader

      public abstract class AvroScalarReader
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `AvroScalarReader.BooleanReader`
    `protected static class` | `AvroScalarReader.BytesReader`
    `protected static class` | `AvroScalarReader.DoubleReader`
    `protected static class` | `AvroScalarReader.EnumDecoder`
    `protected static class` | `AvroScalarReader.FixedDecoder`
    `protected static class` | `AvroScalarReader.FloatReader`
    `protected static class` | `AvroScalarReader.IntReader`
    `protected static class` | `AvroScalarReader.LongReader`
    `protected static class` | `AvroScalarReader.NullReader`
    `protected static class` | `AvroScalarReader.ScalarUnionReader`
    `protected static class` | `AvroScalarReader.StringReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroScalarReader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract com.fasterxml.jackson.core.JsonToken` | `readValue(AvroParserImpl parser, org.apache.avro.io.BinaryDecoder decoder)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AvroScalarReader

          public AvroScalarReader()

  - ### Method Detail

    - #### readValue

          protected abstract com.fasterxml.jackson.core.JsonToken readValue(AvroParserImpl parser,
                                                       org.apache.avro.io.BinaryDecoder decoder)
                                                                     throws IOException

      Throws:
        `IOException`

Copyright © 2016 FasterXML. All rights reserved.